미디어 업로드
curl --request POST \
--url https://api.x.com/2/media/upload \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"media": "<string>",
"media_category": "tweet_image",
"additional_owners": [
"2244994945"
],
"media_type": "image/png",
"shared": false
}
'import requests
url = "https://api.x.com/2/media/upload"
payload = {
"media": "<string>",
"media_category": "tweet_image",
"additional_owners": ["2244994945"],
"media_type": "image/png",
"shared": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
media: '<string>',
media_category: 'tweet_image',
additional_owners: ['2244994945'],
media_type: 'image/png',
shared: false
})
};
fetch('https://api.x.com/2/media/upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "1146654567674912769",
"media_key": "<string>",
"expires_after_secs": 123,
"processing_info": {
"check_after_secs": 123,
"progress_percent": 123
},
"size": 123
},
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}업로드
미디어 업로드
포스트 또는 기타 콘텐츠에서 사용할 미디어 파일을 업로드합니다.
POST
/
2
/
media
/
upload
미디어 업로드
인증
OAuth2UserTokenUserToken
The access token received from the authorization server in the OAuth 2.0 flow.
본문
application/jsonmultipart/form-data
업로드할 파일입니다.
미디어 사용 사례를 식별하는 문자열형 enum 값입니다. 이 식별자는 사용 사례별 제약 조건(예: 파일 크기)을 적용하고, 고급 기능을 활성화하는 데 사용됩니다.
사용 가능한 옵션:
tweet_image, dm_image, subtitles 예시:
"tweet_image"
이 사용자에 대한 고유 식별자입니다. 일부 언어나 도구에서 큰 정수를 제대로 처리하지 못하는 문제를 피하기 위해 문자열로 반환됩니다.
Pattern:
^[0-9]{1,19}$이미지 또는 자막 타입입니다.
사용 가능한 옵션:
text/srt, text/vtt, image/jpeg, image/bmp, image/png, image/webp, image/pjpeg, image/tiff 예시:
"image/png"
이 미디어가 공유되었는지 여부입니다.
응답
요청이 성공했습니다.
미디어 업로드 요청 상태를 GET으로 조회할 때 반환되는 응답입니다.
Show child attributes
Show child attributes
Minimum array length:
1IETF RFC 7807(https://tools.ietf.org/html/rfc7807)에 정의된 HTTP Problem Details 객체
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes
⌘I